%define debug_package %{nil}

Summary:	A thumbnail plugin for the Thunar File Manager
Name:		thunar-thumbnailers
Version:	0.4.2
Release:	%mkrel 4
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/thunar-plugins/thunar-thumbnailers
Source0:	http://goodies.xfce.org/releases/thunar-thumbnailers/%{name}-%{version}.tar.xz
BuildRequires:	thunar-devel
BuildRequires:	imagemagick
BuildRequires:	perl(XML::Parser)
BuildRequires:	unzip
BuildRequires:	tetex-latex
Requires:	thunar
Requires:	imagemagick
Requires:	unzip
Requires:	tumbler
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Thumbnails support for Thunar File Manager.

%package ffmpeg
Summary:	A ffmpeg thumbnails support for Thunar File Manager
Group:		Graphical desktop/Xfce
BuildRequires:	ffmpegthumbnailer
Requires:	ffmpegthumbnailer
Requires:	%{name}

%description ffmpeg
A ffmpeg thumbnails support for Thunar File Manager.

#%package grace
#Summary:	A grace thumbnails support for Thunar File Manager
#Group:		Graphical desktop/Xfce
#BuildRequires:	grace
#Requires:	grace
#Requires:	%{name}

#%description grace
#A grace thumbnails support for Thunar File Manager.

%package raw
Summary:	A RAW thumbnails support for Thunar File Manager
Group:		Graphical desktop/Xfce
BuildRequires:	dcraw
Requires:	dcraw
Requires:	%{name}

%description raw
A RAW thumbnails support for Thunar File Manager.

%package tex
Summary:	A TEX thumbnails support for Thunar File Manager
Group:		Graphical desktop/Xfce
BuildRequires:	tetex-latex
Requires:	tetex-latex
Requires:	%{name}

%description tex
A TEX thumbnails support for Thunar File Manager.

%prep
%setup -q

./autogen.sh --prefix=/usr --enable-maintainer-mode && make clean && make

%build
%configure2_5x \
	--enable-raw \
	--disable-grace \
	--enable-ffmpeg \
	--enable-tex
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

%post
%{update_desktop_database}


%postun
%{update_desktop_database}


%clean
rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%dir %{_datadir}/thumbnailers
%{_libdir}/dvi-thumbnailer
%{_libdir}/eps-thumbnailer
%{_libdir}/fig-thumbnailer
%{_libdir}/odf-thumbnailer
%{_libdir}/pdf-thumbnailer
%{_libdir}/ps-thumbnailer
%{_libdir}/psd-thumbnailer
%{_libdir}/svgz-thumbnailer
%{_libdir}/xcf-thumbnailer
%{_datadir}/mime/packages/thunar-thumbnailers.xml
%{_datadir}/thumbnailers/dvi-thumbnailer.desktop
%{_datadir}/thumbnailers/eps-thumbnailer.desktop
%{_datadir}/thumbnailers/fig-thumbnailer.desktop
%{_datadir}/thumbnailers/odf-thumbnailer.desktop
%{_datadir}/thumbnailers/pdf-thumbnailer.desktop
%{_datadir}/thumbnailers/ps-thumbnailer.desktop
%{_datadir}/thumbnailers/psd-thumbnailer.desktop
%{_datadir}/thumbnailers/svgz-thumbnailer.desktop
%{_datadir}/thumbnailers/xcf-thumbnailer.desktop


%files ffmpeg
%defattr(-,root,root)
%{_libdir}/ffmpeg-thumbnailer
%{_libdir}/ogg-thumbnailer
%{_datadir}/thumbnailers/ffmpeg-thumbnailer.desktop
%{_datadir}/thumbnailers/ogg-thumbnailer.desktop

#%files grace
#%defattr(-,root,root)
#%{_libdir}/agr-thumbnailer
#%{_datadir}/thumbnailers/agr-thumbnailer.desktop

%files raw
%defattr(-,root,root)
%{_libdir}/raw-thumbnailer
%{_datadir}/thumbnailers/raw-thumbnailer.desktop

%files tex
%defattr(-,root,root)
%{_libdir}/tex-thumbnailer
%{_datadir}/thumbnailers/tex-thumbnailer.desktop


%changelog
* Tue Sep 25 2012 Neal <nealbrks0 at gmail.com> 0.4.2-4pclos2012
- rebuild

* Fri Sep 09 2011 Sproggy <desproggster@gmail.com> 0.4.2-3pclos2011
- rebuilt for x86_64

* Thu Mar 24 2011 Sproggy <desproggster at gmail.com> 0.4.2-1pclos2011
- update 0.4.2 for xfce 4.8
